Sign in to follow this  
Darwinian

Opus FSX

Recommended Posts

Hi,

 

I have recently returned to using Opus as i have finally managed to upgrade my PC. At the moment whenever i open and start the Opus Server, FSX crashes. I have moved over to using FSX: SE and i am wondering whether this is the cause of the issue. I am using Opus FSX Version 3.55.1. I am guessing this is incompatible with FSX: SE. Could this be confirmed before i go ahead and upgrade. I do not mind upgrading but just want some clarification before i i go ahead. 

 

Regards

Share this post


Link to post
Share on other sites
Help AVSIM continue to serve you!
Please donate today!

There should be no difference between FSX and FSX Steam as their licence prohibits them from changing the base code but of course there could be other differences. You should of course first check you have installed the correct (latest) version of SimConnect. Try installing our supplied msi file. Also there's the fix for the sims menu handling bug which needs to be sorted. See our Getting Started a guide for some advice. OpusFSI is of course much improved in every aspect.

 

Stephen :-)

Share this post


Link to post
Share on other sites

Hi Stephen,

 

I have manged to run Opus without the crashing by not  selecting "Run as Administrator" in the compatibility tab. However it doesn't seem to be injecting whether into FSX.

 

Regards

Share this post


Link to post
Share on other sites

Step through the Getting Started Guide and then test weather generation with Spy window open to make sure downloads are ok. Most likely something simple or no permissions or sharing etc.. Beware historic weather will not work as the old NOAA cycle server no longer exists. You will be limited to live weather. There are other FSX Steam issues with addons that will not be supported by the former OpusFSX product.

 

Stephen

Share this post


Link to post
Share on other sites

Scratch that i have managed to get the weather to inject. Import METAR file was checked. Im not sure why having Run as Administrator checked was causing the crash. I will try a few flights during the week and then if all goes well I will upgrade to OpusFSI at the weekend. 

 

Michael

Share this post


Link to post
Share on other sites

No idea, can't see why it would matter. OpusFSI Live Weather and Live Camera features are much improved over OpusFSX.

 

Stephen :-)

Share this post


Link to post
Share on other sites

I use Opus with FSX SE without any problems, so it is not anything to do with the Steam version.

Share this post


Link to post
Share on other sites

Thanks Robert,

 

I can say that OpusFSI is fully compatible with FSX, FSX Steam, and all versions of Prepar3D.

 

The former OpusFSX should also work with FSX Steam however it is a former product that pre dated both the days of Steam and post version 1 of P3D. So no separate Config option was included for Steam (use the FSX option) and an OpusPDK for P3D (may also be minor problems with later versions of P3D as LM has made a large number changes since version 1 and I no longer test OpusFSX). OpusFSX also references the now obsolete NOAA cycle server used for Historic METAR data. Apart from that all should be fine.

 

If there are still OpusFSX Live Weather users out there who haven't upgraded to OpusFSI I may look at modifying the cycle data access in OpusFSX to use the new NOAA server. Still recommend upgrading to OpusFSI though.

 

Stephen :-)

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
Sign in to follow this